DCMTK: DRTIonRangeCompensatorSequence::Item Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTIonRangeCompensatorSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTIonRangeCompensatorSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getAccessoryCode (OFString &value, const signed long pos=0) const
| get AccessoryCode (300a,00f9)
OFCondition | getCompensatorColumnOffset (Float32 &value, const unsigned long pos=0) const
| get CompensatorColumnOffset (300a,02e5)
OFCondition | getCompensatorColumns (OFString &value, const signed long pos=0) const
| get CompensatorColumns (300a,00e8)
OFCondition | getCompensatorColumns (Sint32 &value, const unsigned long pos=0) const
| get CompensatorColumns (300a,00e8)
OFCondition | getCompensatorDescription (OFString &value, const signed long pos=0) const
| get CompensatorDescription (300a,02eb)
OFCondition | getCompensatorDivergence (OFString &value, const signed long pos=0) const
| get CompensatorDivergence (300a,02e0)
OFCondition | getCompensatorID (OFString &value, const signed long pos=0) const
| get CompensatorID (300a,00e5)
OFCondition | getCompensatorMillingToolDiameter (Float32 &value, const unsigned long pos=0) const
| get CompensatorMillingToolDiameter (300a,02e8)
OFCondition | getCompensatorMountingPosition (OFString &value, const signed long pos=0) const
| get CompensatorMountingPosition (300a,02e1)
OFCondition | getCompensatorNumber (OFString &value, const signed long pos=0) const
| get CompensatorNumber (300a,00e4)
OFCondition | getCompensatorNumber (Sint32 &value, const unsigned long pos=0) const
| get CompensatorNumber (300a,00e4)
OFCondition | getCompensatorPixelSpacing (OFString &value, const signed long pos=0) const
| get CompensatorPixelSpacing (300a,00e9)
OFCondition | getCompensatorPixelSpacing (Float64 &value, const unsigned long pos=0) const
| get CompensatorPixelSpacing (300a,00e9)
OFCondition | getCompensatorPixelSpacing (OFVector< Float64 > &value) const
| get CompensatorPixelSpacing (300a,00e9)
OFCondition | getCompensatorPosition (OFString &value, const signed long pos=0) const
| get CompensatorPosition (300a,00ea)
OFCondition | getCompensatorPosition (Float64 &value, const unsigned long pos=0) const
| get CompensatorPosition (300a,00ea)
OFCondition | getCompensatorPosition (OFVector< Float64 > &value) const
| get CompensatorPosition (300a,00ea)
OFCondition | getCompensatorRelativeStoppingPowerRatio (Float32 &value, const unsigned long pos=0) const
| get CompensatorRelativeStoppingPowerRatio (300a,02e7)
OFCondition | getCompensatorRows (OFString &value, const signed long pos=0) const
| get CompensatorRows (300a,00e7)
OFCondition | getCompensatorRows (Sint32 &value, const unsigned long pos=0) const
| get CompensatorRows (300a,00e7)
OFCondition | getCompensatorThicknessData (OFString &value, const signed long pos=0) const
| get CompensatorThicknessData (300a,00ec)
OFCondition | getCompensatorThicknessData (Float64 &value, const unsigned long pos=0) const
| get CompensatorThicknessData (300a,00ec)
OFCondition | getCompensatorThicknessData (OFVector< Float64 > &value) const
| get CompensatorThicknessData (300a,00ec)
OFCondition | getIsocenterToCompensatorDistances (Float32 &value, const unsigned long pos=0) const
| get IsocenterToCompensatorDistances (300a,02e6)
OFCondition | getIsocenterToCompensatorTrayDistance (Float32 &value, const unsigned long pos=0) const
| get IsocenterToCompensatorTrayDistance (300a,02e4)
OFCondition | getMaterialID (OFString &value, const signed long pos=0) const
| get MaterialID (300a,00e1)
OFCondition | setAccessoryCode (const OFString &value, const OFBool check=OFTrue)
| set AccessoryCode (300a,00f9)
OFCondition | setCompensatorColumnOffset (const Float32 value, const unsigned long pos=0)
| set CompensatorColumnOffset (300a,02e5)
OFCondition | setCompensatorColumns (const OFString &value, const OFBool check=OFTrue)
| set CompensatorColumns (300a,00e8)
OFCondition | setCompensatorDescription (const OFString &value, const OFBool check=OFTrue)
| set CompensatorDescription (300a,02eb)
OFCondition | setCompensatorDivergence (const OFString &value, const OFBool check=OFTrue)
| set CompensatorDivergence (300a,02e0)
OFCondition | setCompensatorID (const OFString &value, const OFBool check=OFTrue)
| set CompensatorID (300a,00e5)
OFCondition | setCompensatorMillingToolDiameter (const Float32 value, const unsigned long pos=0)
| set CompensatorMillingToolDiameter (300a,02e8)
OFCondition | setCompensatorMountingPosition (const OFString &value, const OFBool check=OFTrue)
| set CompensatorMountingPosition (300a,02e1)
OFCondition | setCompensatorNumber (const OFString &value, const OFBool check=OFTrue)
| set CompensatorNumber (300a,00e4)
OFCondition | setCompensatorPixelSpacing (const OFString &value, const OFBool check=OFTrue)
| set CompensatorPixelSpacing (300a,00e9)
OFCondition | setCompensatorPosition (const OFString &value, const OFBool check=OFTrue)
| set CompensatorPosition (300a,00ea)
OFCondition | setCompensatorRelativeStoppingPowerRatio (const Float32 value, const unsigned long pos=0)
| set CompensatorRelativeStoppingPowerRatio (300a,02e7)
OFCondition | setCompensatorRows (const OFString &value, const OFBool check=OFTrue)
| set CompensatorRows (300a,00e7)
OFCondition | setCompensatorThicknessData (const OFString &value, const OFBool check=OFTrue)
| set CompensatorThicknessData (300a,00ec)
OFCondition | setIsocenterToCompensatorDistances (const Float32 value, const unsigned long pos=0)
| set IsocenterToCompensatorDistances (300a,02e6)
OFCondition | setIsocenterToCompensatorTrayDistance (const Float32 value, const unsigned long pos=0)
| set IsocenterToCompensatorTrayDistance (300a,02e4)
OFCondition | setMaterialID (const OFString &value, const OFBool check=OFTrue)
| set MaterialID (300a,00e1)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmLongString | AccessoryCode
| AccessoryCode (300a,00f9) vr=LO, vm=1, type=3.
DcmFloatingPointSingle | CompensatorColumnOffset
| CompensatorColumnOffset (300a,02e5) vr=FL, vm=1, type=1C.
DcmIntegerString | CompensatorColumns
| CompensatorColumns (300a,00e8) vr=IS, vm=1, type=1.
DcmLongText | CompensatorDescription
| CompensatorDescription (300a,02eb) vr=LT, vm=1, type=3.
DcmCodeString | CompensatorDivergence
| CompensatorDivergence (300a,02e0) vr=CS, vm=1, type=1.
DcmShortString | CompensatorID
| CompensatorID (300a,00e5) vr=SH, vm=1, type=3.
DcmFloatingPointSingle | CompensatorMillingToolDiameter
| CompensatorMillingToolDiameter (300a,02e8) vr=FL, vm=1, type=3.
DcmCodeString | CompensatorMountingPosition
| CompensatorMountingPosition (300a,02e1) vr=CS, vm=1, type=1.
DcmIntegerString | CompensatorNumber
| CompensatorNumber (300a,00e4) vr=IS, vm=1, type=1.
DcmDecimalString | CompensatorPixelSpacing
| CompensatorPixelSpacing (300a,00e9) vr=DS, vm=2, type=1.
DcmDecimalString | CompensatorPosition
| CompensatorPosition (300a,00ea) vr=DS, vm=2, type=1.
DcmFloatingPointSingle | CompensatorRelativeStoppingPowerRatio
| CompensatorRelativeStoppingPowerRatio (300a,02e7) vr=FL, vm=1, type=3.
DcmIntegerString | CompensatorRows
| CompensatorRows (300a,00e7) vr=IS, vm=1, type=1.
DcmDecimalString | CompensatorThicknessData
| CompensatorThicknessData (300a,00ec) vr=DS, vm=1-n, type=1.
DcmFloatingPointSingle | IsocenterToCompensatorDistances
| IsocenterToCompensatorDistances (300a,02e6) vr=FL, vm=1-n, type=1C.
DcmFloatingPointSingle | IsocenterToCompensatorTrayDistance
| IsocenterToCompensatorTrayDistance (300a,02e4) vr=FL, vm=1, type=1C.
DcmShortString | MaterialID
| MaterialID (300a,00e1) vr=SH, vm=1, type=2.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTIonRangeCompensatorSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTIonRangeCompensatorSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getAccessoryCode()

OFCondition DRTIonRangeCompensatorSequence::Item::getAccessoryCode | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get AccessoryCode (300a,00f9)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorColumnOffset()

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorColumnOffset | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get CompensatorColumnOffset (300a,02e5)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorColumns() [1/2]

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorColumns | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CompensatorColumns (300a,00e8)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorColumns() [2/2]

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorColumns | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get CompensatorColumns (300a,00e8)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorDescription()

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CompensatorDescription (300a,02eb)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorDivergence()

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorDivergence | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CompensatorDivergence (300a,02e0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorID()

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CompensatorID (300a,00e5)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorMillingToolDiameter()

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorMillingToolDiameter | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get CompensatorMillingToolDiameter (300a,02e8)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorMountingPosition()

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorMountingPosition | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CompensatorMountingPosition (300a,02e1)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorNumber() [1/2]

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CompensatorNumber (300a,00e4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorNumber() [2/2]

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get CompensatorNumber (300a,00e4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorPixelSpacing() [1/3]

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorPixelSpacing | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get CompensatorPixelSpacing (300a,00e9)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorPixelSpacing() [2/3]

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorPixelSpacing | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CompensatorPixelSpacing (300a,00e9)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorPixelSpacing() [3/3]

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorPixelSpacing | ( | OFVector< Float64 > & | value | ) | const

get CompensatorPixelSpacing (300a,00e9)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorPosition() [1/3]

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorPosition | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get CompensatorPosition (300a,00ea)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorPosition() [2/3]

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorPosition | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CompensatorPosition (300a,00ea)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorPosition() [3/3]

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorPosition | ( | OFVector< Float64 > & | value | ) | const

get CompensatorPosition (300a,00ea)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorRelativeStoppingPowerRatio()

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorRelativeStoppingPowerRatio | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get CompensatorRelativeStoppingPowerRatio (300a,02e7)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorRows() [1/2]

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorRows | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CompensatorRows (300a,00e7)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorRows() [2/2]

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorRows | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get CompensatorRows (300a,00e7)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorThicknessData() [1/3]

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorThicknessData | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get CompensatorThicknessData (300a,00ec)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorThicknessData() [2/3]

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorThicknessData | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CompensatorThicknessData (300a,00ec)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCompensatorThicknessData() [3/3]

OFCondition DRTIonRangeCompensatorSequence::Item::getCompensatorThicknessData | ( | OFVector< Float64 > & | value | ) | const

get CompensatorThicknessData (300a,00ec)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getIsocenterToCompensatorDistances()

OFCondition DRTIonRangeCompensatorSequence::Item::getIsocenterToCompensatorDistances | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get IsocenterToCompensatorDistances (300a,02e6)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getIsocenterToCompensatorTrayDistance()

OFCondition DRTIonRangeCompensatorSequence::Item::getIsocenterToCompensatorTrayDistance | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get IsocenterToCompensatorTrayDistance (300a,02e4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMaterialID()

OFCondition DRTIonRangeCompensatorSequence::Item::getMaterialID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get MaterialID (300a,00e1)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTIonRangeCompensatorSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTIonRangeCompensatorSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTIonRangeCompensatorSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTIonRangeCompensatorSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAccessoryCode()

OFCondition DRTIonRangeCompensatorSequence::Item::setAccessoryCode | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set AccessoryCode (300a,00f9)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorColumnOffset()

OFCondition DRTIonRangeCompensatorSequence::Item::setCompensatorColumnOffset | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set CompensatorColumnOffset (300a,02e5)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorColumns()

OFCondition DRTIonRangeCompensatorSequence::Item::setCompensatorColumns | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CompensatorColumns (300a,00e8)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorDescription()

OFCondition DRTIonRangeCompensatorSequence::Item::setCompensatorDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CompensatorDescription (300a,02eb)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorDivergence()

OFCondition DRTIonRangeCompensatorSequence::Item::setCompensatorDivergence | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CompensatorDivergence (300a,02e0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorID()

OFCondition DRTIonRangeCompensatorSequence::Item::setCompensatorID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CompensatorID (300a,00e5)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorMillingToolDiameter()

OFCondition DRTIonRangeCompensatorSequence::Item::setCompensatorMillingToolDiameter | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set CompensatorMillingToolDiameter (300a,02e8)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorMountingPosition()

OFCondition DRTIonRangeCompensatorSequence::Item::setCompensatorMountingPosition | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CompensatorMountingPosition (300a,02e1)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorNumber()

OFCondition DRTIonRangeCompensatorSequence::Item::setCompensatorNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CompensatorNumber (300a,00e4)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorPixelSpacing()

OFCondition DRTIonRangeCompensatorSequence::Item::setCompensatorPixelSpacing | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CompensatorPixelSpacing (300a,00e9)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (2) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorPosition()

OFCondition DRTIonRangeCompensatorSequence::Item::setCompensatorPosition | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CompensatorPosition (300a,00ea)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (2) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorRelativeStoppingPowerRatio()

OFCondition DRTIonRangeCompensatorSequence::Item::setCompensatorRelativeStoppingPowerRatio | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set CompensatorRelativeStoppingPowerRatio (300a,02e7)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorRows()

OFCondition DRTIonRangeCompensatorSequence::Item::setCompensatorRows | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CompensatorRows (300a,00e7)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCompensatorThicknessData()

OFCondition DRTIonRangeCompensatorSequence::Item::setCompensatorThicknessData | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CompensatorThicknessData (300a,00ec)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setIsocenterToCompensatorDistances()

OFCondition DRTIonRangeCompensatorSequence::Item::setIsocenterToCompensatorDistances | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set IsocenterToCompensatorDistances (300a,02e6)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1-n

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setIsocenterToCompensatorTrayDistance()

OFCondition DRTIonRangeCompensatorSequence::Item::setIsocenterToCompensatorTrayDistance | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set IsocenterToCompensatorTrayDistance (300a,02e4)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMaterialID()

OFCondition DRTIonRangeCompensatorSequence::Item::setMaterialID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set MaterialID (300a,00e1)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTIonRangeCompensatorSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtircs.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2